仕入先商品削除
DELETE
/suppliers/{supplier_id}/division/{division}/products/{target_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/suppliers/example/division/1/products/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/suppliers/example/division/1/products/example \ --header 'Authorization: Bearer <token>'仕入先商品を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”supplier_id
required
string
仕入先ID
division
required
string
Target_idが部門ID、商品IDのいずれを指すか指定します。(1:部門ID、2:商品ID)
target_id
required
string
仕入先に紐づく部門IDか商品IDを指定します。
Responses
Section titled “Responses”削除成功
- 指定された仕入先IDが存在しない場合
- 指定された部門IDが存在しない場合
- 指定された商品IDが存在しない場合
- 指定されたパスパラメータの組み合わせが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "NotFound", "detail": "指定された仕入先IDのリソースが見つかりません。", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された部門IDのリソースが見つかりません。", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された商品IDのリソースが見つかりません。", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された仕入先商品のリソースが見つかりません。", "status": 404}